<?php

namespace EasingSlider\Plugin\Admin\Menus;

use EasingSlider\Foundation\Admin\Menus\Menu as BaseMenu;
use EasingSlider\Foundation\Contracts\Admin\Panels\Panels;

/**
 * Exit if accessed directly
 */
if ( ! defined('ABSPATH')) {
	exit;
}

class Menu extends BaseMenu
{
	/**
	 * Panels
	 *
	 * @var \EasingSlider\Foundation\Contracts\Admin\Panels\Panels
	 */
	protected $panels;

	/**
	 * Constructor
	 *
	 * @param  \EasingSlider\Foundation\Contracts\Admin\Panels\Panels $panels
	 * @return void
	 */
	public function __construct(Panels $panels)
	{
		$this->panels = $panels;

		parent::__construct();
	}

	/**
	 * Setup menu
	 *
	 * @return void
	 */
	public function setupMenu()
	{
		$this->setupTopLevelMenu();
		$this->setupAllSlidersPanel();
		$this->setupAddNewPanel();
		$this->setupSettingsPanel();
		$this->setupAddonsPanel();
	}

	/**
	 * Sets up the toplevel page for this menu
	 *
	 * @return void
	 */
	protected function setupToplevelMenu()
	{
		$this->setToplevelMenu(
			__('Slideshows', 'coffeeslideshow'),
			__('Slideshows', 'coffeeslideshow'),
			'coffeeslideshow_edit_sliders',
			'coffeeslideshow',
			null,
			'dashicons-format-image'
		);
	}

	/**
	 * Sets up the "All Sliders" page
	 *
	 * @return void
	 */
	protected function setupAllSlidersPanel()
	{
		$this->addSubmenuPage(
			__('Slideshows', 'coffeeslideshow'),
			__('All Slideshows', 'coffeeslideshow'),
			'coffeeslideshow_edit_sliders',
			'coffeeslideshow',
			array($this->panels['all_sliders'], 'display')
		);
	}

	/**
	 * Sets up the "Add New" page
	 *
	 * @return void
	 */
	protected function setupAddNewPanel()
	{
		$this->addSubmenuPage(
			__('Add New Slideshow', 'coffeeslideshow'),
			__('Add New', 'coffeeslideshow'),
			'coffeeslideshow_publish_sliders',
			'coffeeslideshow-add-new',
			array($this->panels['create_slider'], 'display')
		);
	}

	/**
	 * Sets up the "Settings" page
	 *
	 * @return void
	 */
	protected function setupSettingsPanel()
	{
	
	}

	/**
	 * Sets up the "Addons" page
	 *
	 * @return void
	 */
	protected function setupAddonsPanel()
	{

	}
}
